## afflib 1.6.31

=== Makefile ===
#!/usr/local/bin/gmake
#
# Makefile for Advanced Forensics Format library
#
# Targets:
# make lib  --- just make the library
# make tools --- just make the tools
#
# Directories:
# lib   - the libraries and the test program
# tools - the tools
# aimage - the advanced imager

# Applications:
# aimage    - imaging program
#
# Utilities:
# afcat      - copies out the raw info from the AFF file
# afcompare  - compares an ISO/RAW file with an AFF file to say if they are equal
#             optional [-d] option will delete the ISO file if they are
# afconvert  - converts a ISO/RAW file to an AFF file, and back.
# afinfo     - prints out information about an AFF file
# aftest     - Validate the AFF library with a lot of tests.
# afxml      - Output xfxml

RELEASE      := afflib-$(shell sh current_version.sh)
RELEASE_HOST := www.afflib.org
RELEASE_LOC  := public_html/afflib/downloads/
RELEASE_VER  := http://www.afflib.org/downloads/version.txt

INSTALL_TOOLDIR ?= /usr/local/bin
INSTALL_LIBDIR  ?= /usr/local/lib
INSTALL_INCDIR  ?= /usr/local/include


all: all_targets

# Bring in defines
include Makefile.defs

#
# Bring in the Makefiles for the library, the tools, and aimage
#
LIBD := lib/
include $(LIBD)/Makefile.files

TD := tools/
include $(TD)/Makefile.files

D := aimage/
include aimage/Makefile.files

TARGETS := $(AIMAGE_TARGETS) $(AFFLIB_TARGETS) $(AFFTOOLS_TARGETS)

SRCS += Makefile Makefile.defs Makefile.dep $(wildcard *.txt) $(wildcard *.doc) $(wildcard zlib*) make.bat TAGS

all_targets: $(TARGETS)

version:
	@echo This is AFFLIB $(RELEASE)

lib: $(AFFLIB)

install: $(AIMAGE_TARGETS) $(AFFTOOLS_TARGETS)
	install $(AIMAGE_TARGETS) $(AFFTOOLS_TARGETS) $(INSTALL_TOOLDIR)
	install $(AFFLIB) $(INSTALL_LIBDIR)/libafflib.a
	ranlib $(INSTALL_LIBDIR)/libafflib.a			# sometimes a second is needed
	install lib/afflib.h $(INSTALL_INCDIR)/afflib.h

install-lib: $(AFFLIB)
	install $(AFFLIB) $(INSTALL_LIBDIR)/libafflib.a
	ranlib $(INSTALL_LIBDIR)/libafflib.a			# sometimes a second is needed
	install lib/afflib.h $(INSTALL_INCDIR)/afflib.h

tests: $(AFFTEST)
	echo Running AFF tests on `uname -a`
	$(AFFTEST) -a

testlocal:
	@echo ***
	@echo ***
	@echo *** testing AFFLIB on `hostname` `uname -m`
	@echo ***
	svn update
	$(MAKE) -s clean
	$(MAKE) -s all
	$(MAKE) -s tests

testall:
	@echo Testing AFFLIB on all platforms
	make testlocal
	ssh l1 '(cd slg/drives/afflib;make testlocal)'
	ssh h1 '(cd slg/drives/afflib;make testlocal)'
	ssh s  '(cd slg/drives/afflib;make testlocal)'

echosrcs: 
	@echo $(SRCS)

tags: ETAGS

ETAGS: $(*/*.cpp) $(*/*.h)
	etags */*.cpp */*.h


#
# This is for Simson to make an AFF release.
#

TARFILE := $(RELEASE).tar.gz

$(TARFILE): $(SRCS)

tarfile: $(TARFILE)

release:
	if [ $(MAKE) = make ]; then echo please use gmake; exit 1; fi
	@echo Making release $(RELEASE)
	#
	# First make sure this version isn't on the server already
	#
	ftp $(RELEASE_VER)
	@echo Version `cat version.txt` is on the server.
	python checkversion.py `cat version.txt` $(RELEASE)
	exit 0
	/bin/rm version.txt
	#
	# Clean things up
	#
	$(MAKE) clean
	/bin/rm -rf /tmp/$(RELEASE)        # erase the old release
	mkdir /tmp/$(RELEASE)              # make a dir
	cp -r * /tmp/$(RELEASE)            # copy the files
	cp -f /dev/null /tmp/$(RELEASE)/Makefile.dep  # zero the dep file
	find -d /tmp/$(RELEASE) -name .svn -exec rm -rf {} \;
	(cd /tmp;tar cfvz $(RELEASE).tar.gz ./$(RELEASE))
	#
	#
	# Upload this release tarfile and version.txt to the server
	#
	scp /tmp/$(RELEASE).tar.gz $(RELEASE_HOST):$(RELEASE_LOC)
	@echo $(RELEASE) > version.txt
	scp version.txt $(RELEASE_HOST):$(RELEASE_LOC)
	/bin/rm version.txt
	@echo Release $(RELEASE) uploaded to server

validate: $(TARGETS) 
	(cd tests;$(MAKE) all)


clean:
	(cd aimage;$(MAKE) clean)
	(cd tests;$(MAKE) clean)
	$(RM) $(TARGETS) *.o *~ */*~ .gdb_history *.core *.a */*.a
	$(RM) */*.o
	$(RM) */.gdb_history
	$(RM) $(AFFLIB) $(AFFLIB_OBJS) 
	$(RM) -r work aimage/random.* random.*
	$(RM) test*.aff *.bak version.txt
	$(RM) TAGS 
	$(MAKE) tags

################################################################

=== aimage/Makefile ===
#
# This one works with both Berkeley make the gmake!
#


include ../Makefile.defs

SRCS   += $(wildcard $(D)*.cpp) $(wildcard $(D)*.h) $(wildcard $(D)Makefile*)

AFFLIB  := ../lib/libafflib.a
INCDIRS += -I../lib/

include Makefile.files

all: aimage ident

clean:
	$(RM) *.o aimage random* validated.txt

signtest: signtest.o
	$(CXX) $(CXXFLAGS) -o $@ $^ -lcrypto


zeros.img:
	dd if=/dev/zero of=zeros.img bs=1m count=64

memory: zeros.img
	@echo Reporting the memory usage of aimage for a 64M block of zeros
	./aimage -q -d2 -E -z zeros.img zeros.aff

SUBJ='/C=US/ST=Massachusetts/L=Cambridge/O=AFFLIB.ORG'
CN="MyCN"

Makefile.signed: my_key.pem
	openssl smime -from $(CN) -sign -inkey my_key.key -signer my_key.pem  -in Makefile

my_key.pem:
	@echo Making the CA key
	openssl req -new -x509 -nodes -keyout my_ca.key -out my_ca.pem  -days 7304 -subj $(SUBJ)
	@echo Making the CSR
	openssl req -new -nodes -subj $(SUBJ)/CN=$(CN) -keyout my_key.key -out my_key.csr
	@echo Signing the CSR
	rm -rf demoCA
	mkdir demoCA			# make the default database
	touch demoCA/index.txt		# make an empty database file
	echo 1000 > demoCA/serial
	openssl ca -batch -in my_key.csr -out my_key.pem -notext -days 7304 \
		-keyfile my_ca.key -cert my_ca.pem -outdir .

=== lib/Makefile ===
include ../Makefile.defs
include Makefile.files

LIBDIRS += -L..

clean:
	rm -f $(AFFLIB_OBJS) $(AFFLIB_TARGETS) $(AFFLIB)

testall: aftest
	@echo Testing all implementations
	/bin/rm -rf tmp
	mkdir tmp
	./aftest -d tmp -e aff -a
	./aftest -d tmp -e afd -a
	./aftest -d tmp -e afm -a

=== tests/Makefile ===
include ../Makefile.defs

AFCAT  = ../tools/afcat
AIMAGE = ../aimage/aimage
AFCONVERT = ../tools/afconvert

VERSION  := afflib-$(shell grep AFFLIB_VERSION ../lib/afflib.h | grep -v AF_ | awk '{print $$3}')

makeimage: makeimage.o
	g++ -o $@ $^

all: 	makeimage
	python verify.py

clean:
	/bin/rm -rf random* validate*.txt image*

=== tools/Makefile ===
include ../Makefile.defs

AFFLIB := ../lib/libafflib.a


include Makefile.files

LIBS += -lafflib
LIBDIRS += -L../lib/
INCDIRS += -I../lib/

$(AFFLIB):
	(cd ../lib;gmake libafflib.a)

clean: 
	/bin/rm -f $(AFFTOOLS_TARGETS) *.o

## afflib 3.7.4+dfsg

=== debian/changelog ===
afflib (3.7.4+dfsg-3~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.
  * debian/control: added 'Pre-Depends: multiarch-support', needed to Wheezy.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 09 Oct 2014 13:51:31 -0300

afflib (3.7.4+dfsg-3) unstable; urgency=medium

  * Fixed the FTBFS in some archtectures. (Closes: #763765)
  * Uploaded to unstable.
  * debian/control:
      - Bumped Standards-Version to 3.9.6.
      - Improved the long descriptions.
  * debian/watch: added the Phillip Hellewell fork repository.
      The upstream declared the project as dead but Phillip
      intend to do some extra work to fix issues.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 03 Oct 2014 08:03:41 -0300

afflib (3.7.4+dfsg-2) experimental; urgency=medium

  * Trying to fix the FTBFS in some archtectures.
  * debian/afflib-tools.docs:
      - Added doc/FAQ.txt
      - Removed doc/*.txt.
      - Removed debian/README.source
  * debian/copyright: fixed the license of the tools/affuse.c file.
  * debian/libafflib0.docs:
      - Added doc/*.txt.
      - Removed debian/README.source.
  * debian/libafflib0.lintian-overrides: added to explain about
      symbols situation.
  * debian/patches/fix_typos_spellings_in_tools: added fixes to
      tool/affconvert file.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 02 Oct 2014 11:34:07 -0300

afflib (3.7.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * New co-maintainer.
  * Added the 'dfsg' suffix (see debian/README.source).
  * Created a manpage for each binary. Consequently:
      - Created the debian/man directory to be the manpages place.
      - Created the afflib-tools.manpages to install the manpages.
  * Updated the DH level from 8 to 9.
  * debian/clean: added to delete files not removed by upstream when
      cleaning.
  * debian/control:
      - Updated the Homepage field.
      - Updated the Standards-Version from 3.9.2 to 3.9.5.
      - Updated the Vcs-* fields to use the canonical URLs.
  * debian/copyright:
      - Updated to 1.0 format.
      - Updated the Source field.
      - Updated all dates and file licenses. Note that now the afflib
        is more 'public domain' that 'BSD-4-clause'. More details in
        COPYING and doc/announce_3.7.txt files. So, changing to
        'public domain' as main license.
  * debian/libafflib0.install: added support to multiarch paths.
  * debian/libafflib-dev.install: added support to multiarch paths.
  * debian/libafflib0.symbols: added to provide symbols to
      libafflib.so.0.0.0
  * debian/patches/:
      - fix_typos_spellings_in_tools: created to fix spelling errors,
        typos and to apply the correct names of the binaries inside the
        source code.
      - fix_affcat_manpage: fix the binary name inside the manpage.
  * debian/README.source: removed the information about patches using
      quilt (no longer necessary) and added a notice about upstream
      tarball repack.
  * debian/source/options: added to ignore some changes in files, made
      by upstream code, when compiling.
  * debian/rules:
      - Added the DEB_BUILD_MAINT_OPTIONS variable to fix the issues
        pointed by blhc.
      - Updated the override_dh_auto_configure target to allow the
        GCC hardening.
      - Updated the override_dh_auto_install target to work with
        multiarch paths.
  * debian/watch: fixed and improved.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 29 Sep 2014 18:33:27 -0300

afflib (3.6.15-1) unstable; urgency=low

  * Team Upload

  [ Christophe Monniez ]
  * Merging upstream version 3.6.15.
  * Removing libewf from configuration options as it doesn't exists anymore in
    upstream.
  * Enabling shared linkage (Closes: #616402).
  * Dropping installation of *.a and *.la files in dev.
  * Applying patch from ubuntu (Thanks to Evan Brode)
    (Closes: #620411, #621150).
  * Removing build depends on libewf as upstream dos not support ewf anymore.

  [ Julien Valroff ]
  * Switch to 3.0 (quilt) source package format
  * Bump debhelper compat to 8

 -- Julien Valroff <julien@debian.org>  Sat, 07 Jan 2012 16:43:52 +0100

afflib (3.6.6-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove references to other libraries from dependency_libs field
    (Closes: #620411).

 -- Luk Claes <luk@debian.org>  Tue, 31 May 2011 19:27:22 +0200

afflib (3.6.6-1) unstable; urgency=low

  [ Christophe Monniez ]
  * Imported Upstream version 3.6.6
  * Refreshing patches.
  * Removing quilt dh parameter from rules.
  * Removing patch for afrecover.
  * Removing rule to rename s3 binary which no longer exists.
  * Removing rule that was removing aftest which no longer exists.
  * Bumped standards version to 3.9.1.

  [ Cristian Greco ]
  * debian/control: remove myself from Uploaders.

 -- Michael Prokop <mika@debian.org>  Mon, 21 Feb 2011 22:36:11 +0100

afflib (3.5.12-2) unstable; urgency=low

  * debian/control: don't build-depend on libfuse-dev on the Hurd, as we
    can live without affuse and let the package build on such arch.
  * debian/rules:
    - don't install /usr/bin/aftest as it is just a test program.
    - properly pass '-a' option to dh_strip to ensure it will only work
      on arch-dep packages.
  * debian/patches:
    - 01-fix-afrecover.patch: new patch, make afrecover prints its real name
      to stdout in usage().
    - 99-no_static_ldflags.patch, new patch: drop `-static` from LDFLAGS from
      tools/Makefile.am in order to avoid afflib-tools to be statically
      linked against libafflib.
  * debian/{control,rules}: build-dep on autotools-dev (>= 20100122.1) and
    pass '--with autotools_dev' to dh in order to automatically update
    config.{sub,guess} files.

 -- Cristian Greco <cristian@regolo.cc>  Fri, 18 Jun 2010 13:52:52 +0200

afflib (3.5.12-1) unstable; urgency=low

  [ Christophe Monniez ]
  * New upstream version


=== debian/control ===
Source: afflib
Section: libs
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>,
           Christophe Monniez <christophe.monniez@fccu.be>
Build-Depends: debhelper (>= 9),
# needed to remove rpath
 chrpath,
# needed to run autoreconf on debian/rules
 automake, autoconf, libtool,
 autotools-dev (>= 20100122.1),
#
 libcurl4-openssl-dev,
 libexpat1-dev,
 libfuse-dev [!hurd-i386],
 libssl-dev,
 zlib1g-dev
Standards-Version: 3.9.6
Homepage: https://github.com/simsong/AFFLIBv3
Vcs-Browser: https://anonscm.debian.org/cgit/forensics/afflib.git
Vcs-Git: git://anonscm.debian.org/forensics/afflib.git

Package: libafflib0
Architecture: any
Pre-Depends: multiarch-support
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Advanced Forensics Format Library
 The Advanced Forensic Format (AFF) is on-disk format for storing
 computer forensic information. Critical features of AFF include:
 .
  - AFF allows you to store both computer forensic data and associated
    metadata in one or more files.
    .
  - AFF allows files to be digital singed, to provide for
    chain-of-custody and long-term file integrity.
    .
  - AFF allows for forensic disk images to stored encrypted and
    decrypted on-the-fly for processing. This allows disk images
    containing privacy sensitive material to be stored on the Internet.

Package: libafflib-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libafflib0 (= ${binary:Version})
Recommends: afflib-tools
Description: Advanced Forensics Format Library (development files)
 The Advanced Forensic Format (AFF) is on-disk format for storing
 computer forensic information. Critical features of AFF include:
 .
  - AFF allows you to store both computer forensic data and associated
    metadata in one or more files.
    .
  - AFF allows files to be digital singed, to provide for
    chain-of-custody and long-term file integrity.
    .
  - AFF allows for forensic disk images to stored encrypted and
    decrypted on-the-fly for processing. This allows disk images
    containing privacy sensitive material to be stored on the Internet.
 .
 This package provides the development files.

Package: afflib-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 ${misc:Depends}, afflib-tools (= ${binary:Version}),
 libafflib0 (= ${binary:Version}), libafflib-dev (= ${binary:Version})
Description: Advanced Forensics Format Library (debug version)
 The Advanced Forensic Format (AFF) is on-disk format for storing
 computer forensic information. Critical features of AFF include:
 .
  - AFF allows you to store both computer forensic data and associated
    metadata in one or more files.
    .
  - AFF allows files to be digital singed, to provide for
    chain-of-custody and long-term file integrity.
    .
  - AFF allows for forensic disk images to stored encrypted and
    decrypted on-the-fly for processing. This allows disk images
    containing privacy sensitive material to be stored on the Internet.
 .
 This package provides the debugging symbols.

Package: afflib-tools
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Advanced Forensics Format Library (utilities)
 The Advanced Forensic Format (AFF) is on-disk format for storing
 computer forensic information. Critical features of AFF include:
 .
  - AFF allows you to store both computer forensic data and associated
    metadata in one or more files.
    .
  - AFF allows files to be digital singed, to provide for
    chain-of-custody and long-term file integrity.
    .
  - AFF allows for forensic disk images to stored encrypted and
    decrypted on-the-fly for processing. This allows disk images
    containing privacy sensitive material to be stored on the Internet.
 .
 This package provides the AFF Toolkit, that is a set of programs for
 working with computer forensic information. Using these tools you can:
    .
  * Interconvert disk images between a variety of formats, including:
     .
   - raw or "dd";
   - splitraw (in which a single image is split between mulitple files);
   - EnCase or "E01" format
   - AFF format (in which the entire disk image is stored in a single
     file);
   - AFD format (in which a disk image is stored in mulitple AFF files
     stored in a single directory);
   - AFM format (in which an AFF file is used to annotate a raw file).
    .
  * Compare disk images and report the data or metadata that is different.
    .
  * Copy disk images from one location to another, with full verification
    of data, metadata, and the automatic generation of a chain-of-custody
    segment.
    .
  * Find errors in an AFF file and fix them.
    .
  * Print information about a file.
    .
  * Print detailed statistics about a file
    .
  * Generate a XML representation of a disk image's metadata (for example,
    acquisition time or the serial number of the acquisition device).
    .
  * Produce a XML "diskprint" which allows a disk image to be rapidly
    fingerprinted without having the computer the SHA1 of the entire
    disk.
 .
 The AFF Toolkit provides these executables: affcat, affcompare, affconvert,
 affcopy, affcrypto, affdiskprint, affinfo, affix, affrecover, affsegment,
 affsign, affstats, affuse, affverify and affxml.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
https://github.com/simsong/AFFLIBv3/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

# Phillip Hellewell fork repository. The upstream declared the project as
# dead but Phillip intend to do some extra work to fix issues.

opts=dversionmangle=s/\+dfsg// \
https://github.com/sshock/AFFLIBv3/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## afflib 3.7.5

=== debian/changelog ===
afflib (3.7.5-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.
  * debian/control: added 'Pre-Depends: multiarch-support', needed to Wheezy.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 06 Nov 2014 09:33:58 -0200

afflib (3.7.5-1) unstable; urgency=medium

  * New upstream release.
  * New upstream, Phillip Hellewell, using an authorized fork in GitHub from
    the previous upstream. This is the new official site.
  * The new upstream had improvements and fixes in source code, including
    several suggestions from Debian. Thanks a lot to Phillip. Consequently:
      - debian/afflib-tools.manpages: removed.
      - debian/clean: removed.
      - debian/control:
          . Added xmount as suggestion to afflib-tools binary (no more support
            to ewf since 2010).
          . Updated the Homepage field.
          . Updated the long description (removed the reference to EnCase, no
            longer supported since 2010).
      - debian/copyright: updated.
      - debian/man: removed all *.1 files. The manpage fonts were kept for
        future needs.
      - debian/patches/: removed all patches.
      - debian/README.source: removed. The package is DFSG compliant now.
      - debian/watch: updated to use the new upstream repository.
  * debian/afflib-tools.docs: added all announce files.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 11 Oct 2014 12:13:18 -0300

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  libssl-dev,
  zlib1g-dev
 Standards-Version: 3.9.6
-Homepage: https://github.com/simsong/AFFLIBv3
+Homepage: https://github.com/sshock/AFFLIBv3
 Vcs-Browser: https://anonscm.debian.org/cgit/forensics/afflib.git
 Vcs-Git: git://anonscm.debian.org/forensics/afflib.git
 
@@ -87,6 +87,7 @@
 Section: utils
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Suggests: xmount
 Description: Advanced Forensics Format Library (utilities)
  The Advanced Forensic Format (AFF) is on-disk format for storing
  computer forensic information. Critical features of AFF include:
@@ -108,7 +109,6 @@
      .
    - raw or "dd";
    - splitraw (in which a single image is split between mulitple files);
-   - EnCase or "E01" format
    - AFF format (in which the entire disk image is stored in a single
      file);
    - AFD format (in which a disk image is stored in mulitple AFF files

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autotools_dev

override_dh_auto_configure:
	autoreconf -f -i
	dh_auto_configure -- LDFLAGS="$(LDFLAGS) -Wl,--as-needed,-z,defs" \
 		--enable-s3=yes --enable-python=no --enable-static=no \
		--enable-shared=yes

override_dh_auto_install:
	dh_auto_install
	chrpath -d debian/tmp/usr/bin/*
	set -e; for file in `ls debian/tmp/usr/lib/*/*.la`; do \
		sed -i "/dependency_libs/ s/'.*'/''/" $$file ; \
	done

override_dh_auto_test:
	# do nothing

override_dh_strip:
	dh_strip -a --dbg-package=afflib-dbg

## afflib 3.7.6

=== debian/changelog ===
afflib (3.7.6-5ubuntu1) wily; urgency=medium

  * Fix up symbols file to fix FTBFS on ppc64el.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Aug 2015 00:08:04 -0700

afflib (3.7.6-5) unstable; urgency=medium

  [ Julien Cristau ]
  * Rename library package for new libstdc++6 ABI. (Closes: #790975)

  [ Joao Eriberto Mota Filho ]
  * Thanks to Julien Cristau for all changes and help to make afflib
      compatible with new libstdc++6 ABI.
  * Updated the symbols for arm64, kfreebsd-amd64, ppc64el, m68k, sh4,
      sparc64 and x32.
  * debian/copyright: added Julien Cristau to debian/* block.
  * debian/libafflib0.lintian-overrides: removed. There are symbols
      since 3.7.6-3 revision.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 09 Aug 2015 02:09:04 -0300

afflib (3.7.6-4) unstable; urgency=medium

  * Upload to unstable.
  * Updated all symbols. (Closes: #790975)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 06 Aug 2015 16:11:40 -0300

afflib (3.7.6-3) experimental; urgency=medium

  * Rebuilt using GCC-5.
  * Generated the first symbol (amd64).
  * Upload to experimental to get diffs for all symbols.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 05 Aug 2015 17:13:10 -0300

afflib (3.7.6-2ubuntu2) wily; urgency=medium

  * Add missing Conflicts/replaces against libafflib0.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 03 Aug 2015 07:05:48 +0000

afflib (3.7.6-2ubuntu1) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 03 Aug 2015 06:45:47 +0000

afflib (3.7.6-2) unstable; urgency=medium

  * Upload to unstable. Welcome Jessie Stable!
  * Using dh-autoreconf instead of autotools_dev.
  * debian/control:
      - Removed these build dependencies: automake, autoconf, autotools-dev,
        dh-autoreconf and libtool.
      - Removed the relation for autotools-dev.
      - Removed Christophe Monniez from uploaders. (MIA)
      - Removed extra dots from long descriptions. (Closes: #779955)
      - Reorganized the Depends field in afflib-dbg binary.
  * debian/copyright: updated the packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 28 Apr 2015 20:10:40 -0300

afflib (3.7.6-1) experimental; urgency=medium

  * New upstream release.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 08 Nov 2014 08:49:22 -0200

=== debian/control ===
Source: afflib
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper (>= 9),
 chrpath,
 dh-autoreconf,
 libcurl4-openssl-dev,
 libexpat1-dev,
 libfuse-dev [!hurd-i386],
 libssl-dev,
 zlib1g-dev
Standards-Version: 3.9.6
Homepage: https://github.com/sshock/AFFLIBv3
Vcs-Browser: https://anonscm.debian.org/cgit/forensics/afflib.git
Vcs-Git: git://anonscm.debian.org/forensics/afflib.git

Package: libafflib0v5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libafflib0
Replaces: libafflib0
Description: Advanced Forensics Format Library
 The Advanced Forensic Format (AFF) is on-disk format for storing
 computer forensic information. Critical features of AFF include:
 .
  - AFF allows you to store both computer forensic data and associated
    metadata in one or more files.
  - AFF allows files to be digital singed, to provide for
    chain-of-custody and long-term file integrity.
  - AFF allows for forensic disk images to stored encrypted and
    decrypted on-the-fly for processing. This allows disk images
    containing privacy sensitive material to be stored on the Internet.

Package: libafflib-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libafflib0v5 (= ${binary:Version})
Recommends: afflib-tools
Description: Advanced Forensics Format Library (development files)
 The Advanced Forensic Format (AFF) is on-disk format for storing
 computer forensic information. Critical features of AFF include:
 .
  - AFF allows you to store both computer forensic data and associated
    metadata in one or more files.
  - AFF allows files to be digital singed, to provide for
    chain-of-custody and long-term file integrity.
  - AFF allows for forensic disk images to stored encrypted and
    decrypted on-the-fly for processing. This allows disk images
    containing privacy sensitive material to be stored on the Internet.
 .
 This package provides the development files.

Package: afflib-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
         afflib-tools (= ${binary:Version}),
         libafflib0v5 (= ${binary:Version}),
         libafflib-dev (= ${binary:Version})
Description: Advanced Forensics Format Library (debug version)
 The Advanced Forensic Format (AFF) is on-disk format for storing
 computer forensic information. Critical features of AFF include:
 .
  - AFF allows you to store both computer forensic data and associated
    metadata in one or more files.
  - AFF allows files to be digital singed, to provide for
    chain-of-custody and long-term file integrity.
  - AFF allows for forensic disk images to stored encrypted and
    decrypted on-the-fly for processing. This allows disk images
    containing privacy sensitive material to be stored on the Internet.
 .
 This package provides the debugging symbols.

Package: afflib-tools
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: xmount
Description: Advanced Forensics Format Library (utilities)
 The Advanced Forensic Format (AFF) is on-disk format for storing
 computer forensic information. Critical features of AFF include:
 .
  - AFF allows you to store both computer forensic data and associated
    metadata in one or more files.
  - AFF allows files to be digital singed, to provide for
    chain-of-custody and long-term file integrity.
  - AFF allows for forensic disk images to stored encrypted and
    decrypted on-the-fly for processing. This allows disk images
    containing privacy sensitive material to be stored on the Internet.
 .
 This package provides the AFF Toolkit, that is a set of programs for
 working with computer forensic information. Using these tools you can:
  * Interconvert disk images between a variety of formats, including:
      - raw or "dd";
      - splitraw (in which a single image is split between mulitple files);
      - AFF format (in which the entire disk image is stored in a single
        file);
      - AFD format (in which a disk image is stored in mulitple AFF files
        stored in a single directory);
      - AFM format (in which an AFF file is used to annotate a raw file).
  * Compare disk images and report the data or metadata that is different.
  * Copy disk images from one location to another, with full verification
    of data, metadata, and the automatic generation of a chain-of-custody
    segment.
  * Find errors in an AFF file and fix them.
  * Print information about a file.
  * Print detailed statistics about a file
  * Generate a XML representation of a disk image's metadata (for example,
    acquisition time or the serial number of the acquisition device).
  * Produce a XML "diskprint" which allows a disk image to be rapidly
    fingerprinted without having the computer the SHA1 of the entire
    disk.
 .
 The AFF Toolkit provides these executables: affcat, affcompare, affconvert,
 affcopy, affcrypto, affdiskprint, affinfo, affix, affrecover, affsegment,
 affsign, affstats, affuse, affverify and affxml.

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,9 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with autotools_dev
+	dh $@ --with autoreconf
 
 override_dh_auto_configure:
-	autoreconf -f -i
 	dh_auto_configure -- LDFLAGS="$(LDFLAGS) -Wl,--as-needed,-z,defs" \
  		--enable-s3=yes --enable-python=no --enable-static=no \
 		--enable-shared=yes

## afflib 3.7.7

=== debian/changelog ===
afflib (3.7.7-3) unstable; urgency=medium

  * Upload to unstable. (Closes: #803695)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 02 Dec 2015 11:22:46 -0200

afflib (3.7.7-2) experimental; urgency=medium

  * Using a new and unique symbol file (trying a universal format).
  * debian/rules: added override_dh_makeshlibs to provide the right
      package version to dpkg-gensymbols.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 29 Nov 2015 00:36:45 -0200

afflib (3.7.7-1) unstable; urgency=medium

  * New upstream release.
  * Fixed the debian/libafflib0v5.symbols.sh4 file.
  * debian/control:
      - Fixed a typo in long descriptions.
      - Reorganized the Build-Depends field.
  * debian/copyright:
      - Removed a comment from the first copyright block.
      - Updated the upstream and packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 10 Oct 2015 21:27:05 -0300

afflib (3.7.6-6) unstable; urgency=medium

  * Fixed some symbols.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 12 Sep 2015 23:04:25 -0300

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: afflib
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
+Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
 Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper (>= 9),
- chrpath,
- dh-autoreconf,
- libcurl4-openssl-dev,
- libexpat1-dev,
- libfuse-dev [!hurd-i386],
- libssl-dev,
- zlib1g-dev
+               dh-autoreconf,
+               chrpath,
+               libcurl4-openssl-dev,
+               libexpat1-dev,
+               libfuse-dev [!hurd-i386],
+               libssl-dev,
+               zlib1g-dev
 Standards-Version: 3.9.6
 Homepage: https://github.com/sshock/AFFLIBv3
 Vcs-Browser: https://anonscm.debian.org/cgit/forensics/afflib.git
@@ -96,10 +95,10 @@
  working with computer forensic information. Using these tools you can:
   * Interconvert disk images between a variety of formats, including:
       - raw or "dd";
-      - splitraw (in which a single image is split between mulitple files);
+      - splitraw (in which a single image is split between multiple files);
       - AFF format (in which the entire disk image is stored in a single
         file);
-      - AFD format (in which a disk image is stored in mulitple AFF files
+      - AFD format (in which a disk image is stored in multiple AFF files
         stored in a single directory);
       - AFM format (in which an AFF file is used to annotate a raw file).
   * Compare disk images and report the data or metadata that is different.

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,15 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+export PVER=$(shell dpkg-parsechangelog --show-field version | cut -d"-" -f1)
 
 %:
 	dh $@ --with autoreconf
 
 override_dh_auto_configure:
 	dh_auto_configure -- LDFLAGS="$(LDFLAGS) -Wl,--as-needed,-z,defs" \
- 		--enable-s3=yes --enable-python=no --enable-static=no \
+		--enable-s3=yes --enable-python=no --enable-static=no \
 		--enable-shared=yes
 
 override_dh_auto_install:
@@ -22,3 +24,6 @@
 
 override_dh_strip:
 	dh_strip -a --dbg-package=afflib-dbg
+
+override_dh_makeshlibs:
+	dh_makeshlibs -- -v$(PVER)

=== debian/watch ===
version=3
https://github.com/sshock/AFFLIBv3/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## afflib 3.7.7+git20160511.4fd23a

=== debian/changelog ===
afflib (3.7.7+git20160511.4fd23a-2) unstable; urgency=medium

  * Upload to unstable.
  * Reverted to default GCC provided by Debian.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 16 May 2016 08:49:30 -0300

afflib (3.7.7+git20160511.4fd23a-1) experimental; urgency=medium

  * New upstream release.
  * Force temporarily to build using GCC-6.
  * debian/patches/: removed all patches. The upstream
      fixed the source code. Thanks!
  * debian/watch: added a temporary dversionmangle.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 14 May 2016 21:58:23 -0300

afflib (3.7.7-5) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 01 May 2016 13:55:15 -0300

afflib (3.7.7-4) experimental; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Changed from cgit to git in Vcs-Browser field.
      - Fixed a spelling error in long description.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright: updated the packaging copyright years.
  * debian/patches/:
      - Added two patches to fix spelling errors. They are
        10_fix_spelling_errors_in_source_code.patch and
        20_fix_spelling_in_manpage.patch.
      - 30_fix_gcc_warnings_literal-suffix.patch: added to fix some
        specific GCC warnings.
      - 40_fix_gcc_warnings_misleading-indentation.patch: added to fix
        some specific GCC warnings.
  * debian/libafflib0v5.symbols: removed some symbols to be compliant
      with GCC 6. Thanks to Martin Michlmayr <tbm@hpe.com>.
      (Closes: #811966)
  * debian/watch: bumped to version 4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 30 Apr 2016 15:08:34 -0300

## afflib 3.7.8

=== debian/changelog ===
afflib (3.7.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/changelog: updated the upstream copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 23 Aug 2016 23:19:19 -0300

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                libfuse-dev [!hurd-i386],
                libssl-dev,
                zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/sshock/AFFLIBv3
-Vcs-Browser: https://anonscm.debian.org/cgit/forensics/afflib.git
-Vcs-Git: git://anonscm.debian.org/forensics/afflib.git
+Vcs-Browser: https://anonscm.debian.org/git/forensics/afflib.git
+Vcs-Git: https://anonscm.debian.org/git/forensics/afflib.git
 
 Package: libafflib0v5
 Architecture: any
@@ -27,7 +27,7 @@
  .
   - AFF allows you to store both computer forensic data and associated
     metadata in one or more files.
-  - AFF allows files to be digital singed, to provide for
+  - AFF allows files to be digital signed, to provide for
     chain-of-custody and long-term file integrity.
   - AFF allows for forensic disk images to stored encrypted and
     decrypted on-the-fly for processing. This allows disk images
@@ -44,7 +44,7 @@
  .
   - AFF allows you to store both computer forensic data and associated
     metadata in one or more files.
-  - AFF allows files to be digital singed, to provide for
+  - AFF allows files to be digital signed, to provide for
     chain-of-custody and long-term file integrity.
   - AFF allows for forensic disk images to stored encrypted and
     decrypted on-the-fly for processing. This allows disk images
@@ -66,7 +66,7 @@
  .
   - AFF allows you to store both computer forensic data and associated
     metadata in one or more files.
-  - AFF allows files to be digital singed, to provide for
+  - AFF allows files to be digital signed, to provide for
     chain-of-custody and long-term file integrity.
   - AFF allows for forensic disk images to stored encrypted and
     decrypted on-the-fly for processing. This allows disk images
@@ -85,7 +85,7 @@
  .
   - AFF allows you to store both computer forensic data and associated
     metadata in one or more files.
-  - AFF allows files to be digital singed, to provide for
+  - AFF allows files to be digital signed, to provide for
     chain-of-custody and long-term file integrity.
   - AFF allows for forensic disk images to stored encrypted and
     decrypted on-the-fly for processing. This allows disk images

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+#export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all

=== debian/watch ===
version=4
opts=dversionmangle=s/3\.7\.7\+git20160511.4fd23a/3\.7\.7/ \
https://github.com/sshock/AFFLIBv3/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## afflib 3.7.15

=== debian/changelog ===
afflib (3.7.15-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
      - Moved lib/{afflib.h, afflib_i.h, aftimer.h, utils.h} to include/afflib/,
        because the upstream changed the source code.
      - Removed rights for pyaff/pyaff.c, now generated automatically.
      - Updated rights for some files.
      - Updated the packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 02 Jan 2017 16:20:38 -0200

afflib (3.7.13-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
      - Fixed some licensing issues.
      - Grouped some blocks that use the same licensing, to simplify the file.
  * debian/source/options: no longer necessary. Removed.
  * debian/watch: removed the unnecessary opts line.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 28 Nov 2016 11:29:45 -0200

afflib (3.7.10-2) unstable; urgency=medium

  * Provided the static library in development package (requested by
    upstream). To do it, enabled --enable-static in debian/rules and
    changed the debian/libafflib-dev.install file.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 24 Nov 2016 16:55:09 -0200

afflib (3.7.10-1) unstable; urgency=medium

  * New upstream release. (Closes: 828228)
  * Migrate DH level to 10.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 07 Oct 2016 22:21:49 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
 Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-autoreconf,
                chrpath,
                libcurl4-openssl-dev,

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- LDFLAGS="$(LDFLAGS) -Wl,--as-needed,-z,defs" \
-		--enable-s3=yes --enable-python=no --enable-static=no \
+		--enable-s3=yes --enable-python=no --enable-static=yes \
 		--enable-shared=yes
 
 override_dh_auto_install:

## afflib 3.7.16

=== debian/changelog ===
afflib (3.7.16-3) unstable; urgency=medium

  * Team upload.
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>
  * Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
  * Fix CVE-2018-8050: DoS via a corrupt AFF image (Closes: #892599)
  * Switch debhelper compat to 11.
  * Drop dh-autoreconf build dependency (implicit via debhelper).
  * Bump Standards-Version to 4.1.3.
  * Update symbols file.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 15 Mar 2018 01:13:49 +0100

afflib (3.7.16-2) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 19 Jul 2017 21:51:23 -0300

afflib (3.7.16-1) experimental; urgency=medium

  * New upstream release.
  * debian/copyright: updated the upstream copyright years.
  * debian/README.source: created to explain about manpages.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 19 Jul 2017 09:45:30 -0300

afflib (3.7.15-2) experimental; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 4.0.0.
      - Removed obsolete dbg binary.
  * debian/libafflib0v5.symbols: fixed symbols to avoid a FTBFS. (see #853301)
  * debian/rules: dropped an override about no longer needed dbg binary.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 24 Jun 2017 18:50:33 -0300

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: afflib
 Section: libs
 Priority: optional
-Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper (>= 10),
-               dh-autoreconf,
+Build-Depends: debhelper (>= 11),
                chrpath,
                libcurl4-openssl-dev,
                libexpat1-dev,
                libfuse-dev [!hurd-i386],
                libssl-dev,
                zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/sshock/AFFLIBv3
-Vcs-Browser: https://anonscm.debian.org/git/forensics/afflib.git
-Vcs-Git: https://anonscm.debian.org/git/forensics/afflib.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/afflib
+Vcs-Git: https://salsa.debian.org/pkg-security-team/afflib.git
 
 Package: libafflib0v5
 Architecture: any
@@ -51,28 +50,6 @@
     containing privacy sensitive material to be stored on the Internet.
  .
  This package provides the development files.
-
-Package: afflib-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends: ${misc:Depends},
-         afflib-tools (= ${binary:Version}),
-         libafflib0v5 (= ${binary:Version}),
-         libafflib-dev (= ${binary:Version})
-Description: Advanced Forensics Format Library (debug version)
- The Advanced Forensic Format (AFF) is on-disk format for storing
- computer forensic information. Critical features of AFF include:
- .
-  - AFF allows you to store both computer forensic data and associated
-    metadata in one or more files.
-  - AFF allows files to be digital signed, to provide for
-    chain-of-custody and long-term file integrity.
-  - AFF allows for forensic disk images to stored encrypted and
-    decrypted on-the-fly for processing. This allows disk images
-    containing privacy sensitive material to be stored on the Internet.
- .
- This package provides the debugging symbols.
 
 Package: afflib-tools
 Section: utils

## afflib 3.7.17

=== debian/changelog ===
afflib (3.7.17-5) unstable; urgency=medium

  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control: bumped Standards-Version to 4.3.0.
  * debian/libafflib0v5.symbols:
      - Added a Build-Depends-Package field.
      - Removed a symbol to fix a FTBFS. Thanks to Santiago Vila
        <sanvila@debian.org>. (Closes: #923959)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 07 Mar 2019 14:59:10 -0300

afflib (3.7.17-4) unstable; urgency=medium

  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 29 Sep 2018 23:20:47 -0300

afflib (3.7.17-3) experimental; urgency=medium

  * debian/libafflib0v5.symbols: set some symbols as optional to avoid a FTBFS
    in some architectures.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 29 Sep 2018 13:23:13 -0300

afflib (3.7.17-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/libafflib0v5.symbols: set some symbols as optional.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 29 Sep 2018 08:48:56 -0300

afflib (3.7.17-1) experimental; urgency=medium

  * New upstream release.
  * debian/copyright:
      - Updated upstream copyright years.
      - Using a secure copyright format in URI.
  * debian/libafflib0v5.symbols: updated.
  * debian/manpage/affstats.txt: changed option -v to -V to fix manpage.
  * debian/patches/: removed all patches. The upstream fixed the source code.
    Thanks!

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 27 Sep 2018 21:14:41 -0300

afflib (3.7.16-4) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.2.1.
  * debian/copyright:
      - Added rights for Raphaël Hertzog.
      - Updated packaging copyright years.
  * debian/patches/:
      - Fix-CVE-2018-8050-sanity-check-size-passed-to-malloc.patch: renamed to
        10_Fix-CVE-2018-8050.patch.
      - 20_fix-affstats-option.patch: added to fix the -v option in help page
        and manpage.
      - 30_fix-cross-compilation.patch: fix broken cross compilation branches.
        Thanks to Helmut Grohne <helmut@subdivi.de>. (Closes: #900668)
  * debian/tests/*: added to perform trivial tests.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 08 Sep 2018 00:33:21 -0300

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                chrpath,
                libcurl4-openssl-dev,
                libexpat1-dev,
                libfuse-dev [!hurd-i386],
                libssl-dev,
                zlib1g-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: https://github.com/sshock/AFFLIBv3
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/afflib
 Vcs-Git: https://salsa.debian.org/pkg-security-team/afflib.git

=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,5 @@
 override_dh_auto_test:
 	# do nothing
 
-override_dh_strip:
-	dh_strip -a --dbg-package=afflib-dbg
-
 override_dh_makeshlibs:
 	dh_makeshlibs -- -v$(PVER)
